package cn.com.countrygarden.bi.main.service.review.impl;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.service.project.ProjectJointPlanService;
import cn.com.countrygarden.bi.main.service.test.TestService;
import sun.security.rsa.RSAPadding;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.apache.commons.lang.StringUtils;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.com.countrygarden.bi.main.model.review.Investigationmanagement;
import cn.com.countrygarden.bi.main.dao.review.InvestigationmanagementMapper;
import cn.com.countrygarden.bi.main.service.review.InvestigationmanagementService;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example.Criteria;
import cn.com.countrygarden.bi.main.core.Response;

/**
 * 问卷管理表-业务逻辑层实现
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-11
 */
@Service
public class InvestigationmanagementServiceImpl implements InvestigationmanagementService{
    @Autowired
    private InvestigationmanagementMapper investigationmanagementMapper;

    @Override
    public Result queryPageList(Investigationmanagement investigationmanagement, int page, int size) {
        Page<Object> pageList = PageHelper.startPage(page, size);
        Condition condition=new Condition(Investigationmanagement.class);
        Criteria criteria = condition.createCriteria();
//		TODO 添加条件
		investigationmanagementMapper.selectByCondition(condition);
        PageData data=new PageData(pageList);
        data.setData(pageList.getResult());
        return Response.response(data);
    }

    @Override
    public Result queryById(Integer id) {
        return Response.response(investigationmanagementMapper.selectByPrimaryKey(id));
    }

    @Override
    public Result add(Investigationmanagement investigationmanagement, AccessToken accessToken) {
        investigationmanagementMapper.insert(investigationmanagement);
        return Response.response();
    }

    @Override
    public Result edit(Investigationmanagement investigationmanagement, AccessToken accessToken) {
        investigationmanagementMapper.updateByPrimaryKey(investigationmanagement);
        return Response.response();
    }

    @Override
    public Result del(Integer id) {
        int count = investigationmanagementMapper.deleteByPrimaryKey(id);
        return Response.response(count);
    }

}